Subject: Re: MPLS and IS-IS

From: Danny McPherson <[email-masked]>
Date: Tue, 16 May 2000 21:02:03 -0600

Indeed the largest customers using IS-IS (and debugging it in the 
largest, most complex networks) have significantly contributed to 
this perceived OSPF-is-superior-to-ISIS scalability issue.  When,
in reality, they're basing the assumption on a specific 
implementation and not the protocols themselves.

-danny

>
> IMHO both ISIS and OSPF are well suited for TE.
>
> The two protocols each have minor advantages and disadvantages.  For
> example, OSPF area support works, and ISIS level support offers
> limited capability (as now defined).  OSPF is an IETF Full Standard
> while ISIS is defined by an ISO document that doesn't reflect what
> implementations actually do, one somewhat outdated RFC-1195, and a
> patchwork of internet-drafts, most of which are still being argued
> over in the WG.  Still ISIS works quite well and the one timer for a
> one big ISIS-LSP is much friendlier to naive timer implementations
> (such as linked lists of timer events) than a timer for each OSPF-LSA.
>
> Curtis
>
> btw- I always thought ISIS became widely used only because during the
> mid-1990s one widely used router had a very poor OSPF implementation
> which was inefficient and buggy and preferred to blame the protocol.
> Must be just some old Internet folklore.  ;-)

---

From: "Chris Whyte" <[email-masked]>
Date: Tue, 16 May 2000 23:37:30 -0700

> implementation and not the protocols themselves.

So what about the fact that the underlying protocol of one, OSPF, has a
tendency to be bit more complex (eg feature rich) than the other (I'm being
kind)?

I find that companies building products that support both protocols have to
spend more time on bringing OSPF up to RFC compliancy (eg adding yet another
LSA type), because it's so well defined and attempts to solve so many
problems, rather than focusing on code and protocol optimizations that can
solve more pressing customer problems.

I do believe the "perception" goes a little bit beyond implementation only
issues.

Thanks,

Chris